package com.rjconsultores.ventaboletos.service;


import java.io.ByteArrayInputStream;
import java.sql.SQLException;

import com.rjconsultores.ventaboletos.blocos.DetalheRetorno;
import com.rjconsultores.ventaboletos.entidad.Empresa;

public interface ImportacaoRetornoBancarioService {
	public String lerArquivo(ByteArrayInputStream bais, Empresa empresa);

	public boolean salvarRetornoBancario(DetalheRetorno detalhe, Integer empresaId, Integer usuarioId) throws SQLException;

	public boolean salvarRetornoBancario(DetalheRetorno detalhe, Integer usuarioId) throws SQLException;

}